package com.maintain.business.service;

import com.maintain.business.domain.ErpMaterialCheckInfo;
import com.maintain.business.domain.vo.ErpMaterialCheckInfoVo;
import com.maintain.business.domain.bo.ErpMaterialCheckInfoBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 物资盘点明细Service接口
 *
 * @author liushuai
 * @date 2025-04-03
 */
public interface IErpMaterialCheckInfoService {

    /**
     * 查询物资盘点明细
     */
    ErpMaterialCheckInfoVo queryById(Long id);

    /**
     * 查询物资盘点明细列表
     */
    TableDataInfo<ErpMaterialCheckInfoVo> queryPageList(ErpMaterialCheckInfoBo bo, PageQuery pageQuery);

    /**
     * 查询物资盘点明细列表
     */
    List<ErpMaterialCheckInfoVo> queryList(ErpMaterialCheckInfoBo bo);

    /**
     * 新增物资盘点明细
     */
    Boolean insertByBo(ErpMaterialCheckInfoBo bo);

    /**
     * 修改物资盘点明细
     */
    Boolean updateByBo(ErpMaterialCheckInfoBo bo);

    /**
     * 校验并批量删除物资盘点明细信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
